<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::memory_manager_kernel_3&lt; T, chunk_size &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1memory__manager__kernel__3-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::memory_manager_kernel_3&lt; T, chunk_size &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1memory__manager__kernel__3_1_1chunk__node.html">chunk_node</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniondlib_1_1memory__manager__kernel__3_1_1node.html">node</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1memory__manager__kernel__3_1_1rebind.html">rebind</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a6565a8a2d8fccb96f82b849e8f88652f"><td class="memItemLeft" align="right" valign="top"><a id="a6565a8a2d8fccb96f82b849e8f88652f"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a6565a8a2d8fccb96f82b849e8f88652f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa70d1414c4d53fb55e98512476a51c80"><td class="memItemLeft" align="right" valign="top"><a id="aa70d1414c4d53fb55e98512476a51c80"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_number_of_allocations</b> () const</td></tr>
<tr class="separator:aa70d1414c4d53fb55e98512476a51c80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaf2f177f81316243b4fb727071a92b3"><td class="memItemLeft" align="right" valign="top"><a id="afaf2f177f81316243b4fb727071a92b3"></a>
T *&#160;</td><td class="memItemRight" valign="bottom"><b>allocate_array</b> (unsigned long size)</td></tr>
<tr class="separator:afaf2f177f81316243b4fb727071a92b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a258d77ab3c144092f41aa3ac38aa49b3"><td class="memItemLeft" align="right" valign="top"><a id="a258d77ab3c144092f41aa3ac38aa49b3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deallocate_array</b> (T *item)</td></tr>
<tr class="separator:a258d77ab3c144092f41aa3ac38aa49b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50a13107e65f89706d664bc259146998"><td class="memItemLeft" align="right" valign="top"><a id="a50a13107e65f89706d664bc259146998"></a>
T *&#160;</td><td class="memItemRight" valign="bottom"><b>allocate</b> ()</td></tr>
<tr class="separator:a50a13107e65f89706d664bc259146998"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a936f7cc75e13777e5dea23532cedc273"><td class="memItemLeft" align="right" valign="top"><a id="a936f7cc75e13777e5dea23532cedc273"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deallocate</b> (T *item)</td></tr>
<tr class="separator:a936f7cc75e13777e5dea23532cedc273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d810268e170aa3ac919381f00214f55"><td class="memItemLeft" align="right" valign="top"><a id="a6d810268e170aa3ac919381f00214f55"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a> &amp;item)</td></tr>
<tr class="separator:a6d810268e170aa3ac919381f00214f55"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a12f4bd406613d4c44be9b371f1d2526c"><td class="memItemLeft" align="right" valign="top"><a id="a12f4bd406613d4c44be9b371f1d2526c"></a>
typedef <a class="el" href="classdlib_1_1binary__search__tree__kernel__2.html">binary_search_tree_kernel_2</a>&lt; size_t, char *, <a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a>&lt; char, 5 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>bst_of_arrays</b></td></tr>
<tr class="separator:a12f4bd406613d4c44be9b371f1d2526c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad72725a53aaf482ccffe8c73006199ae"><td class="memItemLeft" align="right" valign="top"><a id="ad72725a53aaf482ccffe8c73006199ae"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (T *<a class="el" href="classdlib_1_1array.html">array</a>, size_t size) const</td></tr>
<tr class="separator:ad72725a53aaf482ccffe8c73006199ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af019d88188dc66e73315bd4d862b8f34"><td class="memItemLeft" align="right" valign="top"><a id="af019d88188dc66e73315bd4d862b8f34"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (T *<a class="el" href="classdlib_1_1array.html">array</a>, size_t size) const</td></tr>
<tr class="separator:af019d88188dc66e73315bd4d862b8f34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b248a2195dd3b8610806f7234723ec3"><td class="memItemLeft" align="right" valign="top"><a id="a6b248a2195dd3b8610806f7234723ec3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (unsigned char *, size_t)</td></tr>
<tr class="separator:a6b248a2195dd3b8610806f7234723ec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bb99eabe84482dd2bb648426243f23b"><td class="memItemLeft" align="right" valign="top"><a id="a2bb99eabe84482dd2bb648426243f23b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (unsigned char *, size_t)</td></tr>
<tr class="separator:a2bb99eabe84482dd2bb648426243f23b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0784daf3b30c08c6f179069e8cc73702"><td class="memItemLeft" align="right" valign="top"><a id="a0784daf3b30c08c6f179069e8cc73702"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (signed char *, size_t)</td></tr>
<tr class="separator:a0784daf3b30c08c6f179069e8cc73702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cfefdd10ece64115340732a0b855638"><td class="memItemLeft" align="right" valign="top"><a id="a3cfefdd10ece64115340732a0b855638"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (signed char *, size_t)</td></tr>
<tr class="separator:a3cfefdd10ece64115340732a0b855638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68837f349fd38bf45110238d11d7e34a"><td class="memItemLeft" align="right" valign="top"><a id="a68837f349fd38bf45110238d11d7e34a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (char *, size_t)</td></tr>
<tr class="separator:a68837f349fd38bf45110238d11d7e34a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6101b2091fa20cb7c0b6bdd3c755af9"><td class="memItemLeft" align="right" valign="top"><a id="ab6101b2091fa20cb7c0b6bdd3c755af9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (char *, size_t)</td></tr>
<tr class="separator:ab6101b2091fa20cb7c0b6bdd3c755af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa78ee907cb7d7173be4ff1fca1997a86"><td class="memItemLeft" align="right" valign="top"><a id="aa78ee907cb7d7173be4ff1fca1997a86"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (int *, size_t)</td></tr>
<tr class="separator:aa78ee907cb7d7173be4ff1fca1997a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a429596257426c2aa93b5ddf8606ce2bb"><td class="memItemLeft" align="right" valign="top"><a id="a429596257426c2aa93b5ddf8606ce2bb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (int *, size_t)</td></tr>
<tr class="separator:a429596257426c2aa93b5ddf8606ce2bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ae33a7e9cb5baff9ceedca05b8e0cef"><td class="memItemLeft" align="right" valign="top"><a id="a2ae33a7e9cb5baff9ceedca05b8e0cef"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (unsigned int *, size_t)</td></tr>
<tr class="separator:a2ae33a7e9cb5baff9ceedca05b8e0cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af88fce914903a104c3c333ec7ccc325d"><td class="memItemLeft" align="right" valign="top"><a id="af88fce914903a104c3c333ec7ccc325d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (unsigned int *, size_t)</td></tr>
<tr class="separator:af88fce914903a104c3c333ec7ccc325d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9910b19a147a735881ff15678e230b67"><td class="memItemLeft" align="right" valign="top"><a id="a9910b19a147a735881ff15678e230b67"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (unsigned long *, size_t)</td></tr>
<tr class="separator:a9910b19a147a735881ff15678e230b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72331c6ab86f985caf1c26f1ccdbf394"><td class="memItemLeft" align="right" valign="top"><a id="a72331c6ab86f985caf1c26f1ccdbf394"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (unsigned long *, size_t)</td></tr>
<tr class="separator:a72331c6ab86f985caf1c26f1ccdbf394"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cbc38f03689185fbe58efac5ea7524c"><td class="memItemLeft" align="right" valign="top"><a id="a3cbc38f03689185fbe58efac5ea7524c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (long *, size_t)</td></tr>
<tr class="separator:a3cbc38f03689185fbe58efac5ea7524c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07a03054f99acd6c84068fa9bc9c1b1e"><td class="memItemLeft" align="right" valign="top"><a id="a07a03054f99acd6c84068fa9bc9c1b1e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (long *, size_t)</td></tr>
<tr class="separator:a07a03054f99acd6c84068fa9bc9c1b1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cfdac2e014ee38532e1f699783273f5"><td class="memItemLeft" align="right" valign="top"><a id="a7cfdac2e014ee38532e1f699783273f5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (float *, size_t)</td></tr>
<tr class="separator:a7cfdac2e014ee38532e1f699783273f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeca10afb7c888c40347b5e8f0484cc1f"><td class="memItemLeft" align="right" valign="top"><a id="aeca10afb7c888c40347b5e8f0484cc1f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (float *, size_t)</td></tr>
<tr class="separator:aeca10afb7c888c40347b5e8f0484cc1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6314cf30f577cb11135963484f6dbd4"><td class="memItemLeft" align="right" valign="top"><a id="af6314cf30f577cb11135963484f6dbd4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (double *, size_t)</td></tr>
<tr class="separator:af6314cf30f577cb11135963484f6dbd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f13dcc4d60f63018b02bf8a1a6707bc"><td class="memItemLeft" align="right" valign="top"><a id="a2f13dcc4d60f63018b02bf8a1a6707bc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (double *, size_t)</td></tr>
<tr class="separator:a2f13dcc4d60f63018b02bf8a1a6707bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b5eb410903c371faf67a4cfa5fa165e"><td class="memItemLeft" align="right" valign="top"><a id="a0b5eb410903c371faf67a4cfa5fa165e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (short *, size_t)</td></tr>
<tr class="separator:a0b5eb410903c371faf67a4cfa5fa165e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ee2c11766bef4d086d249ffbe021aaa"><td class="memItemLeft" align="right" valign="top"><a id="a4ee2c11766bef4d086d249ffbe021aaa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (short *, size_t)</td></tr>
<tr class="separator:a4ee2c11766bef4d086d249ffbe021aaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeffe499384301399d946d8fc7dcb2850"><td class="memItemLeft" align="right" valign="top"><a id="aeffe499384301399d946d8fc7dcb2850"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize_array</b> (unsigned short *, size_t)</td></tr>
<tr class="separator:aeffe499384301399d946d8fc7dcb2850"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abad7f8e84c3e9a2a7abb4e1f4032718e"><td class="memItemLeft" align="right" valign="top"><a id="abad7f8e84c3e9a2a7abb4e1f4032718e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deinitialize_array</b> (unsigned short *, size_t)</td></tr>
<tr class="separator:abad7f8e84c3e9a2a7abb4e1f4032718e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9907f040b1daa896342cf0b858b05539"><td class="memItemLeft" align="right" valign="top"><a id="a9907f040b1daa896342cf0b858b05539"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>memory_manager_kernel_3</b> (<a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a> &amp;)</td></tr>
<tr class="separator:a9907f040b1daa896342cf0b858b05539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2b46962010cc19df923f880b0732a85"><td class="memItemLeft" align="right" valign="top"><a id="ad2b46962010cc19df923f880b0732a85"></a>
<a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1memory__manager__kernel__3.html">memory_manager_kernel_3</a> &amp;)</td></tr>
<tr class="separator:ad2b46962010cc19df923f880b0732a85"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a159eb8d511bf2be5422e588037c658b5"><td class="memItemLeft" align="right" valign="top"><a id="a159eb8d511bf2be5422e588037c658b5"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>allocations</b></td></tr>
<tr class="separator:a159eb8d511bf2be5422e588037c658b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62b23023978da46e1443009e49e877c0"><td class="memItemLeft" align="right" valign="top"><a id="a62b23023978da46e1443009e49e877c0"></a>
<a class="el" href="uniondlib_1_1memory__manager__kernel__3_1_1node.html">node</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>next</b></td></tr>
<tr class="separator:a62b23023978da46e1443009e49e877c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a943a17d631a96ba4fd0879dfb230a614"><td class="memItemLeft" align="right" valign="top"><a id="a943a17d631a96ba4fd0879dfb230a614"></a>
<a class="el" href="structdlib_1_1memory__manager__kernel__3_1_1chunk__node.html">chunk_node</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>first_chunk</b></td></tr>
<tr class="separator:a943a17d631a96ba4fd0879dfb230a614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34795e727bc2f4cffaac1b85d04af9de"><td class="memItemLeft" align="right" valign="top"><a id="a34795e727bc2f4cffaac1b85d04af9de"></a>
<a class="el" href="classdlib_1_1binary__search__tree__kernel__2.html">bst_of_arrays</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>arrays</b></td></tr>
<tr class="separator:a34795e727bc2f4cffaac1b85d04af9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="memory__manager__kernel__3_8h_source.html">memory_manager_kernel_3.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
